
Application: gvSIG desktop - gvSIG bugs #4823
Error luego de editar un shapefile utilizado para más de una capa / error after editin shapefie used in 
multiple layers
02/21/2018 03:55 PM - Mario Fevre

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Vector editing
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2848 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

es:
luego de editar la tabla de atributos (valores) de un shapefile, otras capas generadas a partir del mismo shapefile pierden acceso y
guarda guardar el proyecto solo genera una versión corrupta.

adjunto log, captura de pantalla, shapefile utilizado y gvsproj corrupto generado

en:
after editing attributes table at a shapefile, other layers made from that same shapefile losses connection. Then, at saving the Project,
you get a corrupt gvsproj file.

attached: log, screen capture, used shapefile y resulting corrupt gvsprojfile

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3168: Can't delete dbf f... New 02/06/2015

History
#1 - 02/04/2019 06:49 PM - Álvaro Anguix
- Category set to Document table

#2 - 02/04/2019 06:50 PM - Álvaro Anguix
- Category changed from Document table to Vector editing

#3 - 03/04/2020 01:50 PM - Álvaro Anguix
- Status changed from New to Outdated

#4 - 04/12/2020 09:42 PM - Mario Fevre
- File pantalla2.png added

Verificado: este error persiste en gvsig 2.5.1 b3014
(ver imagen)
crear una vista sin situlo (yo use proyeccion epsg:22175
crear una capa de puntos.
incluir un punto en esa capa
Crea una segunda vista
añadir la misma capa
poner la capa en esdicion en la segunda vista
añadir un segundo punto
Terminar edición 
voler a vista 1
resultado: la capa en la vista 1 muestra la advertencia ty no se representa

#5 - 04/13/2020 09:34 AM - Álvaro Anguix
- Related to gvSIG bugs #3168: Can't delete dbf file to replce with the new dbf added

#6 - 04/13/2020 09:35 AM - Álvaro Anguix
- Status changed from Outdated to Invalid

Todo parece indicar que es el mismo problema que el del bug 3168; por tanto lo dejo relacionado con él (para revisarlo cuando se proceda a
solucionarlo) y lo paso a invalid al estar duplicado.

Files
captura.png 400 KB 02/21/2018 Mario Fevre
gvSIG.log 456 KB 02/21/2018 Mario Fevre
shapefile.zip 1.62 KB 02/21/2018 Mario Fevre
localizacion-corrupto-.gvsproj 7.73 KB 02/21/2018 Mario Fevre
pantalla2.png 85.6 KB 04/12/2020 Mario Fevre
